<template>
  <div id="app" :class="appClass">
    <router-view />
  </div>
</template>

<script>
window.onload = function() {
  document.addEventListener('touchstart', function(event) {
    if (event.touches.length > 1) {
      event.preventDefault();
    }
  });
  document.addEventListener('gesturestart', function(event) {
    event.preventDefault();
  });
};
export default {
  name: 'App',
  data() {
    return {
      appClass: 'pc',
    };
  },
  created: function() {
    if (document.documentElement.clientWidth <= 640) {
      this.appClass = 'mobile';
    }
  },
};
</script>

<style>
#app {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
  cursor: auto;
  text-align: left;
  font-family: 'PingFangSC-Regular', 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  -webkit-user-select: text !important; /*webkit浏览器*/
  -khtml-user-select: text !important; /*早期浏览器*/
  -moz-user-select: text !important; /*火狐*/
  -ms-user-select: text !important; /*IE10*/
  user-select: text !important;
}
.pc {
  height: 100%;
  min-width: 860px;
}

.mobile {
  min-width: unset;
  min-height: unset;
}
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
  background-color: #f5f5f5;
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #eff4f6;
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #bdbdbd;
}
/* .ivu-btn-primary{
  background: #0092FF!important
} */
</style>
